Last modified: 2013-09-14 12:43:04 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 38141 - Cite back links miss accessibility properties
Cite back links miss accessibility properties
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
Cite (Other open bugs)
master
All All
: Normal enhancement (vote)
: Future release
Assigned To: Nobody - You can work on this!
http://www.thirdageonline.eu/wp-conte...
: accessibility
Depends on:
Blocks: 367
  Show dependency treegraph
 
Reported: 2012-07-03 11:18 UTC by Derk-Jan Hartman
Modified: 2013-09-14 12:43 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Derk-Jan Hartman 2012-07-03 11:18:29 UTC
The uparrow has no information for visually disabled users about the purpose of the link.
Comment 1 Gerrit Notification Bot 2013-08-17 18:27:06 UTC
Change 79472 had a related patch set uploaded by Hoo man:
Add extra accessibility labels to jump to citation links

https://gerrit.wikimedia.org/r/79472
Comment 3 Graham87 2013-08-18 14:36:55 UTC
The text should be as concise as possible, so therefore "jump back" should be used.
Comment 4 Graham87 2013-08-18 14:41:00 UTC
Actually "jump up" might be more accurate ... it's entirely possible (but rare) that a user is reading the references and has not yet read the text associated with the citation. I occasionally do this when checking reference formatting. For whatever it's worth the English Wikipedia currently uses the "^" symbol (pronounced by screen readers as "carrot") instead of the up arrow for the backlink.
Comment 5 Gadget850 2013-08-18 23:38:21 UTC
(In reply to comment #4)
> For whatever it's worth the English Wikipedia currently uses the "^" symbol
> (pronounced by screen readers as "carrot") instead of the up arrow for the
> backlink.

The single backlink character is defined by 'MediaWiki:Cite references link many' and 'MediaWiki:Cite references link one'. The single backlink character defaults to ↑ but is changed to ^ on the English Wikipedia.
Comment 6 Gerrit Notification Bot 2013-09-01 17:12:28 UTC
Change 79472 merged by jenkins-bot:
Add extra accessibility labels to jump to citation (↑) links

https://gerrit.wikimedia.org/r/79472
Comment 7 Bartosz Dziewoński 2013-09-01 17:34:03 UTC
On a side note, I asked on en.wp to replace the carets with proper arrows: https://en.wikipedia.org/wiki/Help_talk:Cite_messages#An_arrow_.E2.86.91_or_a_caret_.5E.3F
Comment 8 Graham87 2013-09-14 12:43:04 UTC
See this village pump thread about the CSS solution: https://en.wikipedia.org/wiki/Wikipedia:Vpt#Scrolling_past_the_bottom_of_the_page...

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links